Bug 985027 - Installing a 3.1 host fails because Setup Networks fails to set management network
Installing a 3.1 host fails because Setup Networks fails to set management ne...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
All Linux
high Severity high
: ---
: 3.3.0
Assigned To: Mike Kolesnik
Martin Pavlik
network
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 11:19 EDT by Rejy M Cyriac
Modified: 2016-02-10 14:49 EST (History)
17 users (show)

See Also:
Fixed In Version: is7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:13:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sabose: Triaged+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17069 None None None Never

  None (edit)
Description Rejy M Cyriac 2013-07-16 11:19:39 EDT
Description of problem:
On trying to add a Red Hat Storage (RHS) 2.0 Update 5 server to a Gluster Service Enabled Cluster of compatibility version 3.1 , in Data Center (POSIX compliant FS) of compatibility version 3.1 , on RHEVM 3.3 , the operation fails with the following error messages (hostnames have been intentionally stripped out):

--------------------------------------------------------------

Failed to configure management network on host <RHS server hostname> due to setup networks failure.

Host <RHS server hostname> installation failed. Failed to configure manamgent network on the host.

State was set to NonOperational for host <RHS server hostname>.

--------------------------------------------------------------

Version-Release number of selected component (if applicable):

RHEVM 3.3 (3.3.0-0.7.master.el6ev)
RHS 2.0 Update 5 (glusterfs-server-3.3.0.11rhs-1.el6rhs.x86_64)

How reproducible:


Steps to Reproduce:
1.Create a Gluster Service Enabled Cluster of compatibility version 3.1 , in Data Center (POSIX compliant FS) , in RHEVM 3.3 
2.Try to add a RHS 2.0 Update 5 server to the Cluster using UI
3.The add operation fails with the error messages given above. 

Actual results:

Add operation of a Red Hat Storage (RHS) 2.0 Update 5 server to a Gluster Service Enabled Cluster of compatibility version 3.1 , in Data Center (POSIX compliant FS) of compatibility version 3.1 , on RHEVM 3.3 , fails.

Expected results:

Add operation of a Red Hat Storage (RHS) 2.0 Update 5 server to a Gluster Service Enabled Cluster of compatibility version 3.1 , in Data Center (POSIX compliant FS) of compatibility version 3.1 , on RHEVM 3.3 , should be successful. 

Additional info:
Comment 4 Yaniv Bronhaim 2013-07-17 03:40:27 EDT
Seems that after reset vdsm didn't connect to supervdsm immediately when it starts. Additionally, I don't see supervdsm.log. which is odd if you use vdsm 3.3. Not sure which branch you use and if you tool the updated code, but the line "Trying to connect to Super Vdsm" should appear after "I am the actual vdsm 4.9-23" and not after the first call to supervdsm.
in /usr/share/vdsm/supervdsm.py class SuperVdsmProxy the connect function should be called on __init__. Not sure, but might be that you work with old version of that file.
Comment 5 Sahina Bose 2013-07-17 05:07:22 EDT
The vdsm is an older version based on 4.9.6 - which is in RHS 2.0 and is compatible only with 3.1 cluster.
Comment 7 Yaniv Bronhaim 2013-07-17 08:43:00 EDT
This bug occurred in vdsm 3.1, therefore to fix it we have to change code related to supervdsm initiation. In RHEV 3.3 we try to setupNetwork after replacing the old procedure of setting network configurations during host deploy. IMHO, keeping the old procedure for configuring the network during host deploy can hold also for 3.1 clusters, that way we prevent the call to supervdsm immediately at startup
Comment 9 Mike Kolesnik 2013-07-18 03:29:55 EDT
The proposed solution is not to use Setup Networks to set the network of a 3.1 host, but instead use the old mechanism of host deploy.

Only hosts in cluster level 3.2 and later can be used with the new mechanism that calls Setup Networks to set the management network for a newly added host.
Comment 10 Mike Kolesnik 2013-07-18 07:33:01 EDT
Change-Id: I690063e7d3ae72b4791894dabc59a7b3a6cd6a44
Comment 11 Martin Pavlik 2013-07-29 09:28:18 EDT
on is7, 3.1 host (vdsm-4.10.2-1.13.el6ev.x86_64) gets added into 3.1 cluster
Comment 12 Itamar Heim 2014-01-21 17:13:25 EST
Closing - RHEV 3.3 Released
Comment 13 Itamar Heim 2014-01-21 17:21:19 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.